LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTextRangeMover Interface Referencepublished

makes it possible to move a text range (e.g. More...

`import"XTextRangeMover.idl";`

Inheritance diagram for XTextRangeMover:

## Public Member Functions
void | moveTextRange ([in] com::sun::star::text::XTextRange xRange, [in] short nParagraphs)
| moves the contents to which xRange refers forward or backward. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to move a text range (e.g.

a paragraph by itself) within this text.

The movement is specified by the number of paragraphs within the order of paragraphs.

See also
  Text

## Member Function Documentation

## ◆ moveTextRange()

void moveTextRange | ( | [in] com::sun::star::text::XTextRange | xRange,
|  | [in] short | nParagraphs
| ) |  |

moves the contents to which xRange refers forward or backward.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextRangeMover.idl